<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExcelToFoConverter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExcelToFoConverter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExcelToFoConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/ExcelToFoConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="ExcelToFoConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.converter.AbstractExcelConverter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.converter</div>
    <h2 title="Class ExcelToFoConverter" class="title">Class ExcelToFoConverter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
                       title="class in org.apache.poi.hssf.converter">org.apache.poi.hssf.converter.AbstractExcelConverter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.converter.ExcelToFoConverter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">ExcelToFoConverter</span>
extends <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
           title="class in org.apache.poi.hssf.converter">AbstractExcelConverter</a></pre>
                <div class="block">Converts xls files (97-2007) to XSL FO.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.converter.AbstractExcelConverter">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.converter.<a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
                                        title="class in org.apache.poi.hssf.converter">AbstractExcelConverter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#Z:Z_formatter">_formatter</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#ExcelToFoConverter-org.w3c.dom.Document-">ExcelToFoConverter</a></span>(org.w3c.dom.Document&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#ExcelToFoConverter-org.apache.poi.hwpf.converter.FoDocumentFacade-">ExcelToFoConverter</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html"
                                        title="class in org.apache.poi.hwpf.converter">FoDocumentFacade</a>&nbsp;foDocumentFacade)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#createPageMaster-float-java.lang.String-">createPageMaster</a></span>(float&nbsp;tableWidthIn,
                                    java.lang.String&nbsp;pageMasterName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#getPageMarginInches--">getPageMarginInches</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#isEmptyStyle-org.apache.poi.ss.usermodel.CellStyle-">isEmptyStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;cellStyle)</code>
                                    <div class="block">Returns <tt>false</tt> if cell style by itself (without text,
                                        i.e.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
                                    <div class="block">Java main() interface to interact with <a
                                            href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
                                            title="class in org.apache.poi.hssf.converter"><code>ExcelToFoConverter</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#process-java.io.File-">process</a></span>(java.io.File&nbsp;xlsFile)</code>
                                    <div class="block">Converts Excel file (97-2007) into XSL FO file.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCell-org.w3c.dom.Element-int-int-float-">processCell</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell,
                                    org.w3c.dom.Element&nbsp;tableCellElement,
                                    int&nbsp;normalWidthPx,
                                    int&nbsp;maxSpannedWidthPx,
                                    float&nbsp;normalHeightPt)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-org.w3c.dom.Element-org.w3c.dom.Element-">processCellStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle,
                                    org.w3c.dom.Element&nbsp;cellTarget,
                                    org.w3c.dom.Element&nbsp;blockTarget)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyleBorder-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-java.lang.String-org.apache.poi.ss.usermodel.BorderStyle-short-">processCellStyleBorder</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    org.w3c.dom.Element&nbsp;cellTarget,
                                    java.lang.String&nbsp;type,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder,
                                    short&nbsp;borderColor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyleFont-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-org.apache.poi.hssf.usermodel.HSSFFont-">processCellStyleFont</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    org.w3c.dom.Element&nbsp;blockTarget,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFFont</a>&nbsp;font)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processColumnHeaders-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnHeaders</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;maxSheetColumns,
                                    org.w3c.dom.Element&nbsp;table)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processColumnWidths-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnWidths</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;maxSheetColumns,
                                    org.w3c.dom.Element&nbsp;table)</code>
                                    <div class="block">Creates COLGROUP element with width specified for all columns.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processRow-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.util.CellRangeAddress:A:A-org.apache.poi.hssf.usermodel.HSSFRow-org.w3c.dom.Element-">processRow</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>[][]&nbsp;mergedRanges,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row,
                                    org.w3c.dom.Element&nbsp;tableRowElement)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processRowNumber-org.apache.poi.hssf.usermodel.HSSFRow-">processRowNumber</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">processSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-int-">processSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    int&nbsp;sheetIndex)</code>
                                    <div class="block">Process single sheet (as specified by 0-based sheet index)</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheetName-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">processSheetName</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processWorkbook-org.apache.poi.hssf.usermodel.HSSFWorkbook-">processWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#setPageMarginInches-float-">setPageMarginInches</a></span>(float&nbsp;pageMarginInches)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.converter.AbstractExcelConverter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.converter.<a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
                                        title="class in org.apache.poi.hssf.converter">AbstractExcelConverter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getColumnName-int-">getColumnName</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-int-">getColumnWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getDefaultColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-">getDefaultColumnWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getFontReplacer--">getFontReplacer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getRowName-org.apache.poi.hssf.usermodel.HSSFRow-">getRowName</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputColumnHeaders--">isOutputColumnHeaders</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputHiddenColumns--">isOutputHiddenColumns</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputHiddenRows--">isOutputHiddenRows</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputLeadingSpacesAsNonBreaking--">isOutputLeadingSpacesAsNonBreaking</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputRowNumbers--">isOutputRowNumbers</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isTextEmpty-org.apache.poi.hssf.usermodel.HSSFCell-">isTextEmpty</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setFontReplacer-org.apache.poi.hwpf.converter.FontReplacer-">setFontReplacer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputColumnHeaders-boolean-">setOutputColumnHeaders</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputHiddenColumns-boolean-">setOutputHiddenColumns</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputHiddenRows-boolean-">setOutputHiddenRows</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputLeadingSpacesAsNonBreaking-boolean-">setOutputLeadingSpacesAsNonBreaking</a>,
                                    <a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputRowNumbers-boolean-">setOutputRowNumbers</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExcelToFoConverter-org.w3c.dom.Document-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExcelToFoConverter</h4>
                                <pre>public&nbsp;ExcelToFoConverter(org.w3c.dom.Document&nbsp;document)</pre>
                            </li>
                        </ul>
                        <a name="ExcelToFoConverter-org.apache.poi.hwpf.converter.FoDocumentFacade-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExcelToFoConverter</h4>
                                <pre>public&nbsp;ExcelToFoConverter(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html"
                                        title="class in org.apache.poi.hwpf.converter">FoDocumentFacade</a>&nbsp;foDocumentFacade)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
                                <div class="block">Java main() interface to interact with <a
                                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
                                        title="class in org.apache.poi.hssf.converter"><code>ExcelToFoConverter</code></a>

                                    <p>
                                        Usage: ExcelToHtmlConverter infile outfile
                                    </p>
                                    Where infile is an input .xls file ( Word 97-2007) which will be rendered
                                    as XSL FO into outfile
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="process-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>process</h4>
                                <pre>public static&nbsp;org.w3c.dom.Document&nbsp;process(java.io.File&nbsp;xlsFile)
                                    throws java.lang.Exception</pre>
                                <div class="block">Converts Excel file (97-2007) into XSL FO file.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>xlsFile</code> - file to process</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>DOM representation of result XSL FO</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPageMaster-float-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPageMaster</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;createPageMaster(float&nbsp;tableWidthIn,
                                            java.lang.String&nbsp;pageMasterName)</pre>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>protected&nbsp;org.w3c.dom.Document&nbsp;getDocument()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getDocument--">getDocument</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
                                                title="class in org.apache.poi.hssf.converter">AbstractExcelConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPageMarginInches--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPageMarginInches</h4>
                                <pre>public&nbsp;float&nbsp;getPageMarginInches()</pre>
                            </li>
                        </ul>
                        <a name="isEmptyStyle-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmptyStyle</h4>
                                <pre>protected&nbsp;boolean&nbsp;isEmptyStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;cellStyle)</pre>
                                <div class="block">Returns <tt>false</tt> if cell style by itself (without text, i.e.
                                    borders, fill, etc.) worth a mention, <tt>true</tt> otherwise
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>false</tt> if cell style by itself (without text, i.e.
                                        borders, fill, etc.) worth a mention, <tt>true</tt> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCell-org.w3c.dom.Element-int-int-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processCell</h4>
                                <pre>protected&nbsp;boolean&nbsp;processCell(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                              <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                 title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell,
                              org.w3c.dom.Element&nbsp;tableCellElement,
                              int&nbsp;normalWidthPx,
                              int&nbsp;maxSpannedWidthPx,
                              float&nbsp;normalHeightPt)</pre>
                            </li>
                        </ul>
                        <a name="processCellStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-org.w3c.dom.Element-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processCellStyle</h4>
                                <pre>protected&nbsp;void&nbsp;processCellStyle(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle,
                                org.w3c.dom.Element&nbsp;cellTarget,
                                org.w3c.dom.Element&nbsp;blockTarget)</pre>
                            </li>
                        </ul>
                        <a name="processCellStyleBorder-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-java.lang.String-org.apache.poi.ss.usermodel.BorderStyle-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processCellStyleBorder</h4>
                                <pre>protected&nbsp;void&nbsp;processCellStyleBorder(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                      org.w3c.dom.Element&nbsp;cellTarget,
                                      java.lang.String&nbsp;type,
                                      <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                         title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder,
                                      short&nbsp;borderColor)</pre>
                            </li>
                        </ul>
                        <a name="processCellStyleFont-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-org.apache.poi.hssf.usermodel.HSSFFont-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processCellStyleFont</h4>
                                <pre>protected&nbsp;void&nbsp;processCellStyleFont(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    org.w3c.dom.Element&nbsp;blockTarget,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFFont</a>&nbsp;font)</pre>
                            </li>
                        </ul>
                        <a name="processColumnHeaders-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processColumnHeaders</h4>
                                <pre>protected&nbsp;void&nbsp;processColumnHeaders(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;maxSheetColumns,
                                    org.w3c.dom.Element&nbsp;table)</pre>
                            </li>
                        </ul>
                        <a name="processColumnWidths-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processColumnWidths</h4>
                                <pre>protected&nbsp;float&nbsp;processColumnWidths(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;maxSheetColumns,
                                    org.w3c.dom.Element&nbsp;table)</pre>
                                <div class="block">Creates COLGROUP element with width specified for all columns.
                                    (Except
                                    first if <tt><a
                                            href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputRowNumbers--"><code>AbstractExcelConverter.isOutputRowNumbers()</code></a>==true</tt>)
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>table width in inches</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processDocumentInformation</h4>
                                <pre>protected&nbsp;void&nbsp;processDocumentInformation(<a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</pre>
                            </li>
                        </ul>
                        <a name="processRow-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.util.CellRangeAddress:A:A-org.apache.poi.hssf.usermodel.HSSFRow-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processRow</h4>
                                <pre>protected&nbsp;int&nbsp;processRow(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                         <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                            title="class in org.apache.poi.ss.util">CellRangeAddress</a>[][]&nbsp;mergedRanges,
                         <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row,
                         org.w3c.dom.Element&nbsp;tableRowElement)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>maximum 1-base index of column that were rendered, zero if none</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processRowNumber-org.apache.poi.hssf.usermodel.HSSFRow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processRowNumber</h4>
                                <pre>protected&nbsp;org.w3c.dom.Element&nbsp;processRowNumber(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSheet</h4>
                                <pre>protected&nbsp;float&nbsp;processSheet(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                             <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                             org.w3c.dom.Element&nbsp;flow)</pre>
                            </li>
                        </ul>
                        <a name="processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSheet</h4>
                                <pre>protected&nbsp;boolean&nbsp;processSheet(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                               int&nbsp;sheetIndex)</pre>
                                <div class="block">Process single sheet (as specified by 0-based sheet index)</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>true</tt> if result were added to FO document, <tt>false</tt>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processSheetName-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSheetName</h4>
                                <pre>protected&nbsp;void&nbsp;processSheetName(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                org.w3c.dom.Element&nbsp;flow)</pre>
                            </li>
                        </ul>
                        <a name="processWorkbook-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processWorkbook</h4>
                                <pre>public&nbsp;void&nbsp;processWorkbook(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                            </li>
                        </ul>
                        <a name="setPageMarginInches-float-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setPageMarginInches</h4>
                                <pre>public&nbsp;void&nbsp;setPageMarginInches(float&nbsp;pageMarginInches)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExcelToFoConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/ExcelToFoConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="ExcelToFoConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.converter.AbstractExcelConverter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
